Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Request_Dispatcher Class Reference

A class that strategizes the request dispatching procedure. More...

`#include <Request_Dispatcher.h>`

List of all members.

## Public Methods
virtual | ~TAO_Request_Dispatcher (void)
| Destructor.
virtual void | dispatch (TAO_ORB_Core *orb_core, TAO_ServerRequest &request, CORBA::Object_out forward_to ACE_ENV_ARG_DECL) throw (CORBA::SystemException)

## Detailed Description

A class that strategizes the request dispatching procedure.

## Constructor & Destructor Documentation

TAO_Request_Dispatcher::~TAO_Request_Dispatcher | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Request_Dispatcher::dispatch | ( | TAO_ORB_Core * | orb_core,
|  | TAO_ServerRequest & | request,
|  | CORBA::Object_out forward_to | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Dispatch a request.

The documentation for this class was generated from the following files:

- Request_Dispatcher.h
- Request_Dispatcher.cpp